function val = U_doubleprime(problem,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      mpccdist2
% from  2022-04-01 



% remember the size of the input and resize it
[m,n] = size(t);
t = t(:)';

% evaluate the function
val = zeros(size(t));
ix1 = find(t < 0.25);
val(ix1) = problem.sigma0 * (-2 * ones(size(t(ix1))));
ix2 = find(t >= 0.25);
val(ix2) = problem.sigma0 * (-0.25 * t(ix2).^(-1.5));

% reshape the output
val = reshape(val,m,n);

