function val = uOmega2(problem,x1,x2)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      mpccdist2
% from  2022-04-01 



% remember the size of the input and resize it
[m,n] = size(x1);
x1 = x1(:)';
x2 = x2(:)';

% evaluate the norm squared of x
normx2 = x1.^2 + x2.^2;

% evaluate the function
val = indicator_B(problem,x1,x2) .* U(problem,normx2);
val = val + indicator_B(problem,x1,x2) .* (4*x1.^2+8*x2.^2+4*x1.*x2) .* U_doubleprime(problem,normx2);
val = val + indicator_B(problem,x1,x2) .* (6*U_prime(problem,normx2));
val = val + indicator_R(problem,x1,x2) .* U(problem,normx2);
val = val + indicator_R(problem,x1,x2) .* (2*x1.^2+6*x2.^2+4*x1.*x2) .* U_doubleprime(problem,normx2);
val = val + indicator_R(problem,x1,x2) .* (4*U_prime(problem,normx2));

% reshape the output
val = reshape(val,m,n);

